Subject: Snaprental Update
From: Pritish Nandi <[email-masked]>
To: Danish Khan <[email-masked]>, Deepak Chauhan <[email-masked]>, "Dhirendra Singh. Bhauryal" <[email-masked]>, "Ratnesh Kumar. Singh" <[email-masked]>, Subhojit Hati <[email-masked]>, Vishal Bassi <[email-masked]>, Sankalp Babulkar <[email-masked]>
Cc: deeksha <[email-masked]>, saurabh <[email-masked]>
Date: Fri, 18 May 2018 23:56:16 +0530 (IST)

Hi Team, 

I have just been updated by Saurabh Sir that Snaprentals do take Debit Card as well. Unfortunately it is not mentioned on the terms so I have given you feedback according to that. 

1. Snap DOES accept Debit cards as long as it can pay for $2000 Bond + rental car costs 

2. If they get full comprehensive insurance - they don’t need a bond 

3. We recommend paying with a debit card. If they use a credit card, there is a fee 

Also there is a promotion running which I checked the other day MAY10 which gives you 10% discount if you add it to your search. 

Regards, 
Pritish Nandi